[Testing Update i686] 2018-12-19 to 2019-01-25 - Systemd, Kernels, LibreOffice Fresh, Readline, Firefox

update
testing
manjaro32

#1

This set updates kernels, systemd, Haskell, KDE applications and framework everything, once again.

It started as a small update set, and it’s now quite large (well over 2400 changed packages).

Watch out for missing extramodules and broken Qt5 applications:

The thing with old kernels

This is another epic update. Massive number of updated packages and a massive number of issues fixed.

It’s been quite the journey but I think we’re almost there.


Available kernels

Series Version PAE
linux316 3.16.62 No
linux318 3.18.133 No
linux44 4.4.171 No
linux49 4.9.151 No
linux414 4.14.94 No
linux419 4.19.16 Yes

Current difference to x32-stable

This thread will track updates to x32-testing as they are snapped over from x32-unstable
This post has a full difference to x32-stable, updates will be posted below as they occur.

Full list is available here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Is x32-testing ready to be moved to x32-stable?

This will inform the snap process; there is no set threshold.

Please vote on the “is it ready yet?” poll but only when you feel this set is tested enough, and has a sufficient number of changes compared to x32-stable. Do keep in mind that x32-stable updates should be less frequent than x32-testing so not every testing update set should need to be moved over.

  • No or Not yet
  • Yes, x32-testing should be snapped to x32-stable at this point
  • Other (post)

0 voters


#2

Known issues


#3

To-do


#4

Little sync:

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                   archlinux-keyring         20181128-1.0         20181218-1.1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                libtorrent-rasterbar         1:1.1.10-1.0         1:1.1.11-1.0
                         python-mako            1.0.7-2.0            1.0.7-3.0
                          python-six           1.11.0-3.1           1.12.0-1.0
                        python2-mako            1.0.7-2.0            1.0.7-3.0
                         python2-six           1.11.0-3.1           1.12.0-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
              deepin-desktop-schemas            3.8.0-1.0            3.9.0-1.0
                              fdkaac            0.6.3-1.1            1.0.0-1.0
                             granite            5.2.0-1.0            5.2.1-1.0
                         hunspell-hu            1.6.1-5.0              1.7-1.0
                           hyphen-hu         20100512-3.0         20110815-1.0
                            impacket           0.9.17-1.1           0.9.18-1.0
                                 iwd             0.12-1.0             0.13-1.0
                          libfdk-aac            0.1.6-1.1            2.0.0-1.0
               perl-software-license         0.103013-2.1         0.103014-1.0
                python-flask-restful            0.3.6-2.1            0.3.7-1.0
                       python-grpcio           1.16.1-1.0           1.17.0-1.0
                   python-hypothesis           3.83.2-1.0           3.84.0-1.0
                  python-pastedeploy            1.5.2-3.0            2.0.1-1.0
                  python-progressbar           3.38.0-2.1           3.39.2-1.0
              python-readme-renderer             24.0-1.0             24.0-2.0
                    python-responses           0.10.4-1.0           0.10.5-1.0
                          python-tox            3.5.3-1.0            3.6.0-1.0
               python2-flask-restful            0.3.6-2.1            0.3.7-1.0
                  python2-hypothesis           3.83.2-1.0           3.84.0-1.0
                 python2-pastedeploy            1.5.2-3.0            2.0.1-1.0
                 python2-progressbar           3.38.0-2.1           3.39.2-1.0
             python2-readme-renderer             24.0-1.0             24.0-2.0
                   python2-responses           0.10.4-1.0           0.10.5-1.0
                         python2-tox            3.5.3-1.0            3.6.0-1.0
                      radare2-cutter1.7.2.r20.g705735c-2.01.7.2.r100.g350375a-1.1
                             shotcut         18.09.15-4.0         18.11.18-1.0
                        ttf-ibm-plex            1.2.1-2.0            1.2.2-1.0
                                 urh            2.4.2-1.0            2.5.1-1.0
                          youtube-dl       2018.12.09-1.0       2018.12.17-1.0

#5

Kate now crashed very easily, just search anything and then scroll up

Please update with a fixed version soon, kate is very important


#6

Which kernel are you using? Qt 5.12 won’t work now with kernels lower than 4.14…


#7

Kernel 4.19.11, which should fix some “issues”:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux419            4.19.10-1            4.19.11-0
                    linux419-headers            4.19.10-1            4.19.11-0

#8

Im using kernel 4.19


#9

Sync:

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                           amd-ucode 20181216.211de16-1.0 20181218.0f22c85-1.0
                            elfutils            0.174-1.0            0.175-1.0
                              libelf            0.174-1.0            0.175-1.0
                      linux-firmware 20181216.211de16-1.0 20181218.0f22c85-1.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         imagemagick         7.0.8.14-1.0         7.0.8.18-1.0
                     imagemagick-doc         7.0.8.14-1.0         7.0.8.18-1.0
                           libmagick         7.0.8.14-1.0         7.0.8.18-1.0
                libreoffice-fresh-af            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-am            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ar            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-as            6.1.3-1.0            6.1.4-1.0
               libreoffice-fresh-ast            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-be            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-bg            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-bn            6.1.3-1.0            6.1.4-1.0
             libreoffice-fresh-bn-in            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-bo            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-br            6.1.3-1.0            6.1.4-1.0
               libreoffice-fresh-brx            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-bs            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ca            6.1.3-1.0            6.1.4-1.0
       libreoffice-fresh-ca-valencia            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-cs            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-cy            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-da            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-de            6.1.3-1.0            6.1.4-1.0
               libreoffice-fresh-dgo            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-dz            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-el            6.1.3-1.0            6.1.4-1.0
             libreoffice-fresh-en-gb            6.1.3-1.0            6.1.4-1.0
             libreoffice-fresh-en-za            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-eo            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-es            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-et            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-eu            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-fa            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-fi            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-fr            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ga            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-gd            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-gl            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-gu            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-he            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-hi            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-hr            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-hu            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-id            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-is            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-it            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ja            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ka            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-kk            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-km            6.1.3-1.0            6.1.4-1.0
          libreoffice-fresh-kmr-latn            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-kn            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ko            6.1.3-1.0            6.1.4-1.0
               libreoffice-fresh-kok            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ks            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-lb            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-lo            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-lt            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-lv            6.1.3-1.0            6.1.4-1.0
               libreoffice-fresh-mai            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-mk            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ml            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-mn            6.1.3-1.0            6.1.4-1.0
               libreoffice-fresh-mni            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-mr            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-my            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-nb            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ne            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-nl            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-nn            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-nr            6.1.3-1.0            6.1.4-1.0
               libreoffice-fresh-nso            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-oc            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-om            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-or            6.1.3-1.0            6.1.4-1.0
             libreoffice-fresh-pa-in            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-pl            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-pt            6.1.3-1.0            6.1.4-1.0
             libreoffice-fresh-pt-br            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ro            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ru            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-rw            6.1.3-1.0            6.1.4-1.0
             libreoffice-fresh-sa-in            6.1.3-1.0            6.1.4-1.0
               libreoffice-fresh-sat            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-sd            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-si            6.1.3-1.0            6.1.4-1.0
               libreoffice-fresh-sid            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-sk            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-sl            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-sq            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-sr            6.1.3-1.0            6.1.4-1.0
           libreoffice-fresh-sr-latn            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ss            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-st            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-sv            6.1.3-1.0            6.1.4-1.0
             libreoffice-fresh-sw-tz            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ta            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-te            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-tg            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-th            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-tn            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-tr            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ts            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-tt            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ug            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-uk            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-uz            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-ve            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-vi            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-xh            6.1.3-1.0            6.1.4-1.0
             libreoffice-fresh-zh-cn            6.1.3-1.0            6.1.4-1.0
             libreoffice-fresh-zh-tw            6.1.3-1.0            6.1.4-1.0
                libreoffice-fresh-zu            6.1.3-1.0            6.1.4-1.0
                                qemu            3.0.0-2.0            3.1.0-1.0
                         terminology            1.2.1-1.1            1.3.0-1.0
                                vala           0.42.2-1.0           0.42.3-2.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                      acpi_call-dkms          1.1.0-178.0          1.1.0-179.0
                             ansible            2.7.4-1.0            2.7.5-1.0
                 appstream-generator            0.7.4-4.0            0.7.4-5.0
                             aws-cli          1.16.72-1.0          1.16.79-1.0
                         broadcom-wl    6.30.223.271-65.0    6.30.223.271-66.0
                              camlp4             4.07-1.1             4.07-2.0
                           check_api            1.1.4-1.0            1.2.1-1.0
                        d-containers    0.8.0alpha.10-1.0    0.8.0alpha.11-1.0
                            gir-to-d           0.16.1-3.0           0.17.0-1.0
                                gtkd            3.8.3-4.0            3.8.4-1.0
                             libgiac         1.5.0.19-1.0         1.5.0.27-2.0
                               marco           1.20.2-1.2           1.20.2-1.3
                            parallel         20180822-1.1         20181122-1.0
                                 pm2            3.2.3-1.0            3.2.4-1.0
                      python-alembic            1.0.3-1.0            1.0.5-1.0
                        python-boto3           1.9.62-1.0           1.9.69-1.0
                     python-botocore          1.12.62-1.0          1.12.69-1.0
                      python-breathe           4.11.0-2.0           4.11.1-1.0
                python-flask-migrate            2.3.0-1.0            2.3.1-1.0
                   python-hypothesis           3.84.0-1.0           3.84.2-1.0
                     python-oslo-log           3.42.0-1.0           3.42.1-1.0
                   python-oslo-utils           3.38.0-1.0           3.39.0-1.0
                         python-pytz           2018.7-1.0           2018.7-2.0
                        python-raven            6.9.0-2.0           6.10.0-1.0
        python-resumable-urlretrieve            0.1.5-3.1            0.1.6-1.0
                     python-socketio            2.0.0-1.0            2.1.2-1.0
                 python-testfixtures            6.3.0-1.0            6.4.0-1.0
                     python2-alembic            1.0.3-1.0            1.0.5-1.0
                       python2-boto3           1.9.62-1.0           1.9.69-1.0
                    python2-botocore          1.12.62-1.0          1.12.69-1.0
                     python2-breathe           4.11.0-2.0           4.11.1-1.0
               python2-flask-migrate            2.3.0-1.0            2.3.1-1.0
                  python2-hypothesis           3.84.0-1.0           3.84.2-1.0
                    python2-oslo-log           3.42.0-1.0           3.42.1-1.0
                  python2-oslo-utils           3.38.0-1.0           3.39.0-1.0
                        python2-pytz           2018.7-1.0           2018.7-2.0
                       python2-raven            6.9.0-2.0           6.10.0-1.0
                    python2-socketio            2.0.0-1.0            2.1.2-1.0
                python2-testfixtures            6.3.0-1.0            6.4.0-1.0
                           smokeping            2.7.2-1.1            2.7.3-1.0
                               tilix            1.8.5-2.0            1.8.5-3.0
                             whipper            0.7.2-1.0            0.7.3-1.0
                                xcas         1.5.0.19-1.0         1.5.0.27-2.0
                           reprotest                    -            0.7.8-3.0
                        ttf-opensans                    -            1.101-1.0

#10

4.19.11:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux419            4.19.11-0            4.19.11-1
                    linux419-headers            4.19.11-0            4.19.11-1
                      manjaro-system           20180906-2           20181220-2

#11

All kernels:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux318           3.18.130-1           3.18.131-1
                    linux318-headers           3.18.130-1           3.18.131-1
                            linux414            4.14.89-1            4.14.90-1
                    linux414-headers            4.14.89-1            4.14.90-1
                            linux419            4.19.11-1            4.19.12-1
                    linux419-headers            4.19.11-1            4.19.12-1
                             linux49            4.9.146-1            4.9.147-1
                     linux49-headers            4.9.146-1            4.9.147-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                  linux318-acpi_call             1.1.0-67             1.1.0-68
                linux318-broadcom-wl      6.30.223.271-43      6.30.223.271-44
                   linux318-catalyst     1:15.201.1151-57     1:15.201.1151-58
                linux318-ndiswrapper              1.61-43              1.61-44
               linux318-nvidia-340xx           340.107-10           340.107-11
               linux318-nvidia-390xx             390.87-6             390.87-7
                      linux318-r8168          8.045.08-22          8.045.08-23
                        linux318-spl             0.7.11-4             0.7.11-5
                linux318-vhba-module          20161009-43          20161009-44
   linux318-virtualbox-guest-modules             5.2.22-3             5.2.22-4
    linux318-virtualbox-host-modules             5.2.22-3             5.2.22-4
                        linux318-zfs             0.7.11-4             0.7.11-5
                  linux414-acpi_call             1.1.0-71             1.1.0-72
                   linux414-bbswitch               0.8-71               0.8-72
                linux414-broadcom-wl      6.30.223.271-71      6.30.223.271-72
                linux414-ndiswrapper              1.61-71              1.61-72
               linux414-nvidia-340xx           340.107-30           340.107-31
               linux414-nvidia-390xx            390.87-16            390.87-17
                      linux414-r8168          8.045.08-59          8.045.08-60
                  linux414-rt3562sta        2.4.1.1_r4-71        2.4.1.1_r4-72
                        linux414-spl            0.7.11-11            0.7.11-12
                   linux414-tp_smapi              0.41-71              0.41-72
                linux414-vhba-module          20161009-71          20161009-72
   linux414-virtualbox-guest-modules             5.2.22-8             5.2.22-9
    linux414-virtualbox-host-modules             5.2.22-8             5.2.22-9
                        linux414-zfs            0.7.11-11            0.7.11-12
                   linux49-acpi_call            1.1.0-107            1.1.0-108
                    linux49-bbswitch              0.8-107              0.8-108
                 linux49-broadcom-wl     6.30.223.271-107     6.30.223.271-108
                    linux49-catalyst    1:15.201.1151-107    1:15.201.1151-108
                 linux49-ndiswrapper             1.61-105             1.61-106
                linux49-nvidia-340xx           340.107-26           340.107-27
                linux49-nvidia-390xx            390.87-15            390.87-16
                       linux49-r8168          8.045.08-47          8.045.08-48
                   linux49-rt3562sta       2.4.1.1_r4-105       2.4.1.1_r4-106
                         linux49-spl            0.7.11-10            0.7.11-11
                    linux49-tp_smapi             0.41-107             0.41-108
                 linux49-vhba-module         20161009-105         20161009-106
    linux49-virtualbox-guest-modules             5.2.22-7             5.2.22-8
     linux49-virtualbox-host-modules             5.2.22-7             5.2.22-8
                         linux49-zfs            0.7.11-10            0.7.11-11
                   ndiswrapper-utils              1.61-71              1.61-72
                    rt3562sta-common       2.4.1.1_r4-105       2.4.1.1_r4-106

#12

Thunderbird 60.4

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         thunderbird                    -             60.4.0-0
                 thunderbird-i18n-ar                    -             60.4.0-0
                thunderbird-i18n-ast                    -             60.4.0-0
                 thunderbird-i18n-be                    -             60.4.0-0
                 thunderbird-i18n-bg                    -             60.4.0-0
                 thunderbird-i18n-br                    -             60.4.0-0
                 thunderbird-i18n-ca                    -             60.4.0-0
                 thunderbird-i18n-cs                    -             60.4.0-0
                 thunderbird-i18n-cy                    -             60.4.0-0
                 thunderbird-i18n-da                    -             60.4.0-0
                 thunderbird-i18n-de                    -             60.4.0-0
                thunderbird-i18n-dsb                    -             60.4.0-0
                 thunderbird-i18n-el                    -             60.4.0-0
              thunderbird-i18n-en-gb                    -             60.4.0-0
              thunderbird-i18n-en-us                    -             60.4.0-0
              thunderbird-i18n-es-ar                    -             60.4.0-0
              thunderbird-i18n-es-es                    -             60.4.0-0
                 thunderbird-i18n-et                    -             60.4.0-0
                 thunderbird-i18n-eu                    -             60.4.0-0
                 thunderbird-i18n-fi                    -             60.4.0-0
                 thunderbird-i18n-fr                    -             60.4.0-0
              thunderbird-i18n-fy-nl                    -             60.4.0-0
              thunderbird-i18n-ga-ie                    -             60.4.0-0
                 thunderbird-i18n-gd                    -             60.4.0-0
                 thunderbird-i18n-gl                    -             60.4.0-0
                 thunderbird-i18n-he                    -             60.4.0-0
                 thunderbird-i18n-hr                    -             60.4.0-0
                thunderbird-i18n-hsb                    -             60.4.0-0
                 thunderbird-i18n-hu                    -             60.4.0-0
              thunderbird-i18n-hy-am                    -             60.4.0-0
                 thunderbird-i18n-id                    -             60.4.0-0
                 thunderbird-i18n-is                    -             60.4.0-0
                 thunderbird-i18n-it                    -             60.4.0-0
                 thunderbird-i18n-ja                    -             60.4.0-0
                 thunderbird-i18n-ko                    -             60.4.0-0
                 thunderbird-i18n-lt                    -             60.4.0-0
              thunderbird-i18n-nb-no                    -             60.4.0-0
                 thunderbird-i18n-nl                    -             60.4.0-0
              thunderbird-i18n-nn-no                    -             60.4.0-0
                 thunderbird-i18n-pl                    -             60.4.0-0
              thunderbird-i18n-pt-br                    -             60.4.0-0
              thunderbird-i18n-pt-pt                    -             60.4.0-0
                 thunderbird-i18n-rm                    -             60.4.0-0
                 thunderbird-i18n-ro                    -             60.4.0-0
                 thunderbird-i18n-ru                    -             60.4.0-0
                 thunderbird-i18n-si                    -             60.4.0-0
                 thunderbird-i18n-sk                    -             60.4.0-0
                 thunderbird-i18n-sl                    -             60.4.0-0
                 thunderbird-i18n-sq                    -             60.4.0-0
                 thunderbird-i18n-sr                    -             60.4.0-0
              thunderbird-i18n-sv-se                    -             60.4.0-0
                 thunderbird-i18n-tr                    -             60.4.0-0
                 thunderbird-i18n-uk                    -             60.4.0-0
                 thunderbird-i18n-vi                    -             60.4.0-0
              thunderbird-i18n-zh-cn                    -             60.4.0-0
              thunderbird-i18n-zh-tw                    -             60.4.0-0

#13

Sync:

:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                      acpi_call-dkms          1.1.0-180.0          1.1.0-181.0
                         aircrack-ng              1.4-1.0            1.5.2-1.0
                                 arb           2.15.1-1.0           2.16.0-1.0
                         bluez-tools            0.2.0-2.0            0.2.0-3.0
                         broadcom-wl    6.30.223.271-67.0    6.30.223.271-68.0
                          cherrytree           0.38.6-1.0           0.38.7-1.0
                            cowpatty              4.6-9.0              4.8-1.0
                     dbus-client-gen              0.3-1.0              0.4-1.0
                                 din               36-1.0             38.a-1.0
                          disorderfs            0.5.4-1.0            0.5.5-1.0
                          drbd-utils            9.6.0-1.0            9.7.0-1.0
                            dropbear          2018.76-3.0          2018.76-3.1
                        dropbear-scp          2018.76-3.0          2018.76-3.1
                       elasticsearch            6.5.3-1.0            6.5.4-1.0
                          fanficfare            3.2.0-1.0            3.3.0-1.0
                             fastjet            3.3.1-2.1            3.3.2-1.0
                                flim           1.14.9-5.0           1.14.9-6.0
                               gitea            1.5.3-3.0            1.6.0-1.0
                       gitlab-gitaly            1.0.0-1.0            1.4.0-1.0
                        gitlab-shell          2:8.4.2-1.0          2:8.4.3-1.0
                           glbinding            2.1.4-2.0            3.0.2-2.0
                           glusterfs            1:5.1-1.0            1:5.2-1.0
                                gocr             0.51-2.1             0.52-1.0
                              gramps          2:5.0.0-1.0          2:5.0.1-1.0
                             jansson             2.11-1.1             2.12-1.0
                          jconvolver            1.0.2-1.1            1.0.3-1.0
                              kibana            6.5.3-1.0            6.5.4-1.0
                               kitty           0.12.3-1.2           0.13.1-1.0
                             libcerf              1.9-1.0             1.10-1.0
                      libcurl-compat           7.62.0-1.0           7.63.0-1.0
                      libcurl-gnutls           7.62.0-1.0           7.63.0-1.0
                              libdbi            0.9.0-3.2            0.9.0-4.0
                      libdbi-drivers            0.9.0-6.2            0.9.0-8.0
                      libftdi-compat             0.20-5.2             0.20-6.0
                          libgeotiff            1.4.2-2.1            1.4.3-1.0
                       libmicrohttpd           0.9.61-1.0           0.9.62-1.0
              libperconaserverclient        5.7.23_25-1.0        5.7.24_27-1.0
                             libxmlb            0.1.4-1.0            0.1.5-1.0
                               lldpd            1.0.2-2.0            1.0.3-1.0
                    mate-applet-dock             0.86-1.0             0.87-1.0
                     mate-icon-theme           1.20.2-1.0           1.20.3-1.0
                          mate-menus           1.20.1-1.1           1.20.2-1.0
                      matrix-synapse           0.33.7-2.0           0.34.0-1.0
                                mypy            0.641-1.0            0.650-1.0
                                ogre           1.11.2-2.0           1.11.4-1.0
                           ogre-docs           1.11.1-2.0           1.11.4-1.0
                           oniguruma            6.9.0-1.1            6.9.1-1.0
                    otf-font-awesome            5.5.0-1.0            5.6.3-1.1
                      percona-server        5.7.23_25-1.0        5.7.24_27-1.0
              percona-server-clients        5.7.23_25-1.0        5.7.24_27-1.0
                       perl-dbd-odbc             1.56-5.2             1.60-1.0
                    perl-dbd-sqlite2             0.37-6.3             0.38-1.0
                   perl-string-crc32              1.5-8.6              1.7-1.0
                           php-geoip            1.1.1-3.2            1.1.1-4.0
                        php-memcache            3.0.8-6.1            3.0.8-7.0
                       php-memcached            3.0.4-2.1            3.0.4-3.0
                         php-mongodb            1.5.3-3.1            1.5.3-4.0
                              puppet            5.5.3-1.0            6.1.0-1.0
                     python-autobahn          18.11.1-1.0          18.12.1-1.0
                       python-bluepy            1.2.0-1.1            1.3.0-1.0
                       python-cftime            1.0.3-1.0          1.0.3.4-1.0
                     python-engineio            3.0.0-1.0            3.1.0-1.0
                   python-hypothesis           3.84.2-1.0           3.84.5-1.0
                    python-multidict            4.5.1-1.0            4.5.2-1.0
                  python-mysqlclient           1.3.13-2.0           1.3.14-1.0
                     python-psycopg2            2.7.5-2.1          2.7.6.1-1.0
                     python-pygithub           1.43.3-1.0           1.43.4-1.0
                   python-pyrsistent           0.14.7-1.0           0.14.8-1.0
                  python-ruamel-yaml          0.15.80-1.0          0.15.81-1.0
                   python-sqlalchemy           1.2.14-1.0           1.2.15-1.0
                    python-typed-ast            1.1.0-3.1            1.1.1-1.0
                         python-yarl            1.2.6-1.1            1.3.0-1.0
                           python-z3            4.8.3-1.0            4.8.4-1.0
                    python2-autobahn          18.11.1-1.0          18.12.1-1.0
                      python2-bluepy            1.2.0-1.1            1.3.0-1.0
                      python2-cftime            1.0.3-1.0          1.0.3.4-1.0
                    python2-engineio            3.0.0-1.0            3.1.0-1.0
                  python2-hypothesis           3.84.2-1.0           3.84.5-1.0
                    python2-psycopg2            2.7.5-2.1          2.7.6.1-1.0
                    python2-pygithub           1.43.3-1.0           1.43.4-1.0
                  python2-pyrsistent           0.14.7-1.0           0.14.8-1.0
                  python2-sqlalchemy           1.2.14-1.0           1.2.15-1.0
                          python2-z3            4.8.3-1.0            4.8.4-1.0
                            qtractor            0.9.2-1.2            0.9.3-1.0
                                semi           1.14.6-5.0           1.14.6-6.0
                            singular         4.1.1.p3-4.1         4.1.1.p4-1.0
                            solidity            0.5.1-1.0            0.5.2-1.0
                           sqlcipher            4.0.0-1.0            4.0.1-1.0
                      squashfs-tools              4.3-6.0              4.3-8.0
             sugar-activity-terminal             45.3-1.0             45.4-1.0
                             tinyssh         20181206-1.0         20181206-2.0
                                tldr            0.4.4-3.0            0.4.4-4.0
                    ttf-font-awesome            5.5.0-1.0            5.6.3-1.1
                           unclutter               8-11.1               8-11.0
                        virt-install            2.0.0-1.0            2.0.0-2.0
                        virt-manager            2.0.0-1.0            2.0.0-2.0
                              vnstat              2.0-1.0              2.1-1.0
                          wanderlust         20181117-1.0         20181209-1.0
                                wine           4.0rc1-1.0           4.0rc2-1.0
                        wine-staging           4.0rc1-1.0           4.0rc2-1.0
                   wine-staging-nine             3.20-1.0             3.21-1.0
                              xdebug            2.6.1-1.0       2.7.0beta1-1.0
                              xl2tpd           1.3.12-2.1           1.3.13-1.0
                               xonsh            0.8.4-1.1            0.8.6-1.0
                             xplanet            1.3.1-2.0            1.3.1-3.0
                                  z3            4.8.3-1.0            4.8.4-1.0
                               zapcc       7.0.325000-1.0       7.0.325000-2.0
                              zeromq            4.2.5-1.1            4.3.0-1.0
                       python-pypdf2                    -           1.26.0-1.0
                        wl-clipboard                    -            1.0.0-4.0


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
             ca-certificates-mozilla           3.40.1-1.0             3.41-1.0
                                curl           7.63.0-1.0           7.63.0-2.0
                           e2fsprogs           1.44.4-1.5           1.44.5-1.0
                               glib22.58.1+67+g17519e039-1.0           2.58.2-1.0
                          glib2-docs           2.58.1-1.1           2.58.2-1.0
                               gnupg           2.2.11-1.0           2.2.12-1.0
                           libassuan            2.5.1-1.3            2.5.2-1.0
                          libnghttp2           1.34.0-1.0           1.35.1-1.0
                          libsystemd          239.303-1.0          239.370-1.0
                                 nss           3.40.1-1.0             3.41-1.0
                             systemd          239.303-1.0          239.370-1.0
                  systemd-resolvconf          239.303-1.0          239.370-1.0
                  systemd-sysvcompat          239.303-1.0          239.370-1.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
            archlinux-appstream-data         20181214-1.0         20181222-2.0
                              clamav          0.100.2-2.0          0.101.0-1.0
                             glslang         7.9.2888-2.0        7.10.2984-1.0
                                  gn  0.1490.df15af47-1.0  0.1497.13ac6ca4-1.0
                               ipset              7.0-1.0              7.1-1.0
                              libgsf          1.14.44-1.1          1.14.45-1.0
                            liblouis            3.7.0-1.0            3.8.0-1.0
                               libuv           1.24.0-1.1           1.24.1-1.0
                  libva-intel-driver            2.2.0-1.2            2.3.0-1.0
                                lmdb           0.9.22-1.1           0.9.23-1.0
                               metis         5.1.0.p3-1.1         5.1.0.p5-1.0
                              mtools           4.0.21-1.0           4.0.23-1.0
                            nftables          1:0.9.0-1.1          1:0.9.0-2.0
                             nghttp2           1.34.0-1.0           1.35.1-1.0
                         ocaml-topkg            0.9.1-1.1            0.9.1-2.0
                          ocamlbuild           0.13.1-2.0           0.13.1-2.1
                              openmp            7.0.0-1.1            7.0.1-1.0
                             perl-ev             4.22-6.3             4.25-1.0
                                 php           7.2.13-1.0            7.3.0-1.0
                          php-apache           7.2.13-1.0            7.3.0-1.0
                            php-apcu           5.1.15-1.0           5.1.16-1.0
                         php-apcu-bc            1.0.4-1.1            1.0.4-2.0
                             php-cgi           7.2.13-1.0            7.3.0-1.0
                           php-dblib           7.2.13-1.0            7.3.0-1.0
                           php-embed           7.2.13-1.0            7.3.0-1.0
                         php-enchant           7.2.13-1.0            7.3.0-1.0
                             php-fpm           7.2.13-1.0            7.3.0-1.0
                              php-gd           7.2.13-1.0            7.3.0-1.0
                            php-imap           7.2.13-1.0            7.3.0-1.0
                            php-intl           7.2.13-1.0            7.3.0-1.0
                            php-odbc           7.2.13-1.0            7.3.0-1.0
                           php-pgsql           7.2.13-1.0            7.3.0-1.0
                          php-phpdbg           7.2.13-1.0            7.3.0-1.0
                          php-pspell           7.2.13-1.0            7.3.0-1.0
                            php-snmp           7.2.13-1.0            7.3.0-1.0
                          php-sodium           7.2.13-1.0            7.3.0-1.0
                          php-sqlite           7.2.13-1.0            7.3.0-1.0
                            php-tidy           7.2.13-1.0            7.3.0-1.0
                             php-xsl           7.2.13-1.0            7.3.0-1.0
                              spglib         1.11.1.2-1.0           1.11.2-1.0
                               xterm              337-1.0              340-1.0
                        zabbix-agent            4.0.0-3.0            4.0.3-1.0
                 zabbix-frontend-php            4.0.0-3.0            4.0.3-1.0
                        zabbix-proxy            4.0.0-3.0            4.0.3-1.0
                       zabbix-server            4.0.0-3.0            4.0.3-1.0

#14

systemd 240, and ZFS for whoever uses this with a 32-bit system… :confused:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            dbus-x11             1.12.8-1            1.12.12-1
                          libsystemd            239.370-1              240.1-4
                      manjaro-system           20181220-2           20181223-2
                             systemd            239.370-1              240.1-4
                  systemd-resolvconf            239.370-1              240.1-4
                  systemd-sysvcompat            239.370-1              240.1-4


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                        linux316-spl             0.7.11-3             0.7.12-1
                        linux316-zfs             0.7.11-3             0.7.12-1
                  linux318-rt3562sta        2.4.1.1_r4-43        2.4.1.1_r4-44
                        linux318-spl             0.7.11-5             0.7.12-1
                        linux318-zfs             0.7.11-5             0.7.12-1
                        linux414-spl            0.7.11-12             0.7.12-1
                        linux414-zfs            0.7.11-12             0.7.12-1
                        linux419-spl             0.7.11-9             0.7.12-1
                        linux419-zfs             0.7.11-9             0.7.12-1
                         linux44-spl             0.7.11-7             0.7.12-1
                         linux44-zfs             0.7.11-7             0.7.12-1
                         linux49-spl            0.7.11-11             0.7.12-1
                         linux49-zfs            0.7.11-11             0.7.12-1
                           spl-utils             0.7.11-1             0.7.12-1
                           zfs-utils             0.7.11-1             0.7.12-1


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                    plane-icon-theme                1.4-1                1.8-1

#15

A decent selection of updates just got synced (~1900 packages). A lot of Haskell and notably KDE Application and Framework updates. Check the GitLab snippet for details.

I don’t know how Qt5 will behave on earlier kernel versions…


#16

Hi @jonathon

I can’t login to manjaro KDE, it got stuck on boot :thinking:

/mnt/var/log/Xorg.0.log:

https://paste.ubuntu.com/p/tSP6k2yBYB/

/mnt/var/log/pacman.log:

https://paste.ubuntu.com/p/8vwxQzwz5T/


#17

Probably the same as this:

Doing a rebuild now.

Edit: build is failing. I’ll come back to this later. I’m likely to be pretty much AFK for the next few days.


#18

xfce4 graphical login no longer working following latest update.

Changed to ‘stable’ and downgraded systemd from 240.1-4 to 239.303-1. Now working again.
see thread ‘https://forum.manjaro.org/t/systemd-240-update-breaks-graphical-login/69396’


#19

Unfortunately, after this update, unable to reach desktop with any kernel. Had to switch to stable branch to be able to use the system. Things are fine now. I am awaiting the rebuild.


#20

Another systemd package update and a rebuilt kinit with qt5-base 5.12 (compiled with -no-feature-statx).

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                          libsystemd              240.1-4              240.1-6
                             systemd              240.1-4              240.1-6
                  systemd-resolvconf              240.1-4              240.1-6
                  systemd-sysvcompat              240.1-4              240.1-6


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         flashplugin         32.0.0.101-0                    -
                                 mlt           6.10.0-1.2                    -
                 mlt-python-bindings           6.10.0-1.2                    -
                        pepper-flash         32.0.0.101-0                    -
                               kinit                    -             5.53.0-2
                            qt5-base                    -             5.12.0-0
             qt5-xcb-private-headers                    -             5.12.0-0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               brave            0.56.15-3            0.58.18-1